Last Comment Bug 648882 - TabPriorityQueue updates tabItems when UI is busy
: TabPriorityQueue updates tabItems when UI is busy
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 6
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-10 11:22 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
3 users (show)
ehsan: in‑testsuite+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (4.11 KB, patch)
2011-04-10 11:57 PDT, Tim Taubert [:ttaubert]
raymond: feedback+
Details | Diff | Splinter Review
patch v2 (4.01 KB, patch)
2011-04-11 10:26 PDT, Tim Taubert [:ttaubert]
ian: review+
Details | Diff | Splinter Review
patch for checkin (3.28 KB, patch)
2011-04-13 21:14 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch for checkin (added waitForFocus) (3.36 KB, patch)
2011-04-14 06:38 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch v3 (5.07 KB, patch)
2011-04-14 15:15 PDT, Tim Taubert [:ttaubert]
raymond: feedback+
Details | Diff | Splinter Review
patch v4 (4.79 KB, patch)
2011-04-14 20:45 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch v5 (4.75 KB, patch)
2011-04-15 11:57 PDT, Tim Taubert [:ttaubert]
ian: review+
Details | Diff | Splinter Review
patch for checkin (4.08 KB, patch)
2011-04-19 09:55 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review
patch v6 (without setTimeout) (3.41 KB, patch)
2011-04-20 12:01 PDT, Tim Taubert [:ttaubert]
ian: review+
raymond: feedback+
Details | Diff | Splinter Review
patch for checkin (2.74 KB, patch)
2011-04-26 10:10 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2011-04-10 11:22:57 PDT
The condition is now:

if (this.isPaintingPaused() || !UI.isIdle)

and should be:

if (this.isPaintingPaused() || !UI.isIdle())

We should add a test to verify that no tabItem updates are done when resizing or moving items.
Comment 1 Tim Taubert [:ttaubert] 2011-04-10 11:57:00 PDT
Created attachment 524979 [details] [diff] [review]
patch v1
Comment 2 Raymond Lee [:raymondlee] 2011-04-10 12:35:12 PDT
Comment on attachment 524979 [details] [diff] [review]
patch v1

+      EventUtils.synthesizeMouse(container, 5, 5, {type: "mousedown"}, cw);
+      EventUtils.synthesizeMouse(container, 40, 20, {type: "mousemove"}, cw);
+      EventUtils.synthesizeMouse(container, 20, 20, {type: "mouseup"}, cw);

The above repeats twice, might be good to write a helper function.

f+
Comment 4 Tim Taubert [:ttaubert] 2011-04-11 10:26:59 PDT
Created attachment 525095 [details] [diff] [review]
patch v2
Comment 5 Ian Gilman [:iangilman] 2011-04-13 17:41:10 PDT
Comment on attachment 525095 [details] [diff] [review]
patch v2

That's a pretty slick test :)
Comment 6 Tim Taubert [:ttaubert] 2011-04-13 21:14:33 PDT
Created attachment 525923 [details] [diff] [review]
patch for checkin
Comment 7 Tim Taubert [:ttaubert] 2011-04-14 06:38:58 PDT
Created attachment 525983 [details] [diff] [review]
patch for checkin (added waitForFocus)
Comment 9 :Ehsan Akhgari 2011-04-14 12:57:31 PDT
The test added by this patch went orange: <http://tinderbox.mozilla.org/showlog.cgi?log=Cedar/1302807869.1302809327.10302.gz> so I backed it out: <http://hg.mozilla.org/projects/cedar/rev/53339e6932c3>
Comment 10 Tim Taubert [:ttaubert] 2011-04-14 15:15:28 PDT
Created attachment 526118 [details] [diff] [review]
patch v3

Added another test for another issue fixed with this patch.
Comment 11 Raymond Lee [:raymondlee] 2011-04-14 18:33:32 PDT
Comment on attachment 526118 [details] [diff] [review]
patch v3

Looks good.  Can we merge two tests file into one?
Comment 12 Tim Taubert [:ttaubert] 2011-04-14 20:45:26 PDT
Created attachment 526179 [details] [diff] [review]
patch v4

(In reply to comment #11)
> Looks good.  Can we merge two tests file into one?

Of course, don't know why I split them :)
Comment 13 Tim Taubert [:ttaubert] 2011-04-15 07:40:28 PDT
Comment on attachment 526179 [details] [diff] [review]
patch v4

Failed on OSX opt:

http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1302848610.1302854494.9835.gz

Investigating.
Comment 14 Tim Taubert [:ttaubert] 2011-04-15 11:57:07 PDT
Created attachment 526333 [details] [diff] [review]
patch v5
Comment 16 Ian Gilman [:iangilman] 2011-04-19 09:31:41 PDT
Comment on attachment 526333 [details] [diff] [review]
patch v5

Looks good.
Comment 17 Tim Taubert [:ttaubert] 2011-04-19 09:55:37 PDT
Created attachment 527023 [details] [diff] [review]
patch for checkin
Comment 18 Mounir Lamouri (:mounir) 2011-04-20 01:42:50 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/028fc2dcb854
Comment 19 Vivien Nicolas (:vingtetun) (:21) - (NOT reading bugmails, needinfo? please) 2011-04-20 07:14:33 PDT
The test if failing: http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1303305581.1303307355.28425.gz
I've made a backout: http://hg.mozilla.org/mozilla-central/rev/347ea6f52589
Comment 20 Mounir Lamouri (:mounir) 2011-04-20 08:06:46 PDT
You should not use setTimeout(func, value) with value>0 if you do not want your test to be flaky.
Comment 21 Tim Taubert [:ttaubert] 2011-04-20 12:01:17 PDT
Created attachment 527343 [details] [diff] [review]
patch v6 (without setTimeout)

(In reply to comment #20)
> You should not use setTimeout(func, value) with value>0 if you do not want your
> test to be flaky.

Good to know, removed.
Comment 22 Raymond Lee [:raymondlee] 2011-04-20 12:52:59 PDT
Comment on attachment 527343 [details] [diff] [review]
patch v6 (without setTimeout)

Looks good
Comment 23 Tim Taubert [:ttaubert] 2011-04-21 03:27:06 PDT
Comment on attachment 527343 [details] [diff] [review]
patch v6 (without setTimeout)

Passed try:

http://tbpl.mozilla.org/?tree=MozillaTry&pusher=tim.taubert@gmx.de&rev=43fe3397f7a0
Comment 24 Ian Gilman [:iangilman] 2011-04-26 09:56:14 PDT
Comment on attachment 527343 [details] [diff] [review]
patch v6 (without setTimeout)

Review of attachment 527343 [details] [diff] [review]:

Very clever :)
Comment 25 Tim Taubert [:ttaubert] 2011-04-26 10:10:59 PDT
Created attachment 528338 [details] [diff] [review]
patch for checkin
Comment 26 Mounir Lamouri (:mounir) 2011-04-29 09:32:02 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/4e7e81ad7525

Thank you for fixing the random orange Tim :)

Note You need to log in before you can comment on or make changes to this bug.